
  $ cat >> $HGRCPATH <<EOF
  > [web]
  > push_ssl = false
  > allow_push = *
  > [extensions]
  > EOF
  $ echo "states=$(echo $(dirname $TESTDIR))/hgext/states.py" >> $HGRCPATH

  $ hg init local
  $ hg init other
  $ cd local
  $ hg states --traceback -v
  published
  $ hg states draft
  $ hg states
  published
  draft
  $ hg states ready
  $ hg states
  published
  ready
  draft
  $ hg states --off draft
  $ hg states
  published
  ready
  $ hg states babar
  no state named babar
  [1]
  $ echo 'babar' >> .hg/states/Enabled
  $ hg states
  published
  ready
  $ hg -R ../other states
  published

do nothing if state already deactivated
  $ hg states --off draft
  state draft already deactivated
  $ hg states
  published
  ready
